> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start agent onboarding run

> Start a server-side agent onboarding run for a prepared project.
Returns the existing run when one is already active for the project.



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json post /api/v1/ee/projects/{projectUuid}/agent-onboarding
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3443.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/ee/projects/{projectUuid}/agent-onboarding:
    post:
      summary: Start agent onboarding run
      description: |-
        Start a server-side agent onboarding run for a prepared project.
        Returns the existing run when one is already active for the project.
      operationId: createAgentOnboardingRun
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAgentOnboardingRunResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    UUID:
      type: string
      format: uuid
      description: |-
        Stringified UUIDv4.
        See [RFC 4112](https://tools.ietf.org/html/rfc4122)
      pattern: >-
        [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
    ApiAgentOnboardingRunResponse:
      $ref: '#/components/schemas/ApiSuccess_AgentOnboardingRun_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ApiSuccess_AgentOnboardingRun_:
      properties:
        results:
          $ref: '#/components/schemas/AgentOnboardingRun'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    AgentOnboardingRun:
      properties:
        completedAt:
          type: string
          nullable: true
        startedAt:
          type: string
          nullable: true
        updatedAt:
          type: string
        createdAt:
          type: string
        errorMessage:
          type: string
          nullable: true
        files:
          items:
            $ref: '#/components/schemas/AgentOnboardingFile'
          type: array
        usage:
          allOf:
            - $ref: '#/components/schemas/AgentOnboardingUsage'
          nullable: true
        handoff:
          allOf:
            - $ref: '#/components/schemas/AgentOnboardingHandoff'
          nullable: true
        events:
          items:
            $ref: '#/components/schemas/AgentOnboardingRunEvent'
          type: array
        stage:
          allOf:
            - $ref: '#/components/schemas/AgentOnboardingStage'
          nullable: true
        status:
          $ref: '#/components/schemas/AgentOnboardingRunStatus'
        projectUuid:
          type: string
        agentOnboardingRunUuid:
          type: string
      required:
        - completedAt
        - startedAt
        - updatedAt
        - createdAt
        - errorMessage
        - files
        - usage
        - handoff
        - events
        - stage
        - status
        - projectUuid
        - agentOnboardingRunUuid
      type: object
    AgentOnboardingFile:
      properties:
        updatedAt:
          type: string
        sizeBytes:
          type: number
          format: double
        path:
          type: string
      required:
        - updatedAt
        - sizeBytes
        - path
      type: object
    AgentOnboardingUsage:
      properties:
        numTurns:
          type: number
          format: double
          nullable: true
        outputTokens:
          type: number
          format: double
          nullable: true
        inputTokens:
          type: number
          format: double
          nullable: true
        costUsd:
          type: number
          format: double
          nullable: true
      required:
        - numTurns
        - outputTokens
        - inputTokens
        - costUsd
      type: object
    AgentOnboardingHandoff:
      properties:
        dashboardUrl:
          type: string
          nullable: true
        summary:
          type: string
          nullable: true
      required:
        - dashboardUrl
        - summary
      type: object
    AgentOnboardingRunEvent:
      properties:
        createdAt:
          type: string
        stage:
          allOf:
            - $ref: '#/components/schemas/AgentOnboardingStage'
          nullable: true
        message:
          type: string
        eventType:
          type: string
          enum:
            - stage
            - step
            - log
      required:
        - createdAt
        - stage
        - message
        - eventType
      type: object
    AgentOnboardingStage:
      type: string
      enum:
        - preparing_project
        - exploring_warehouse
        - deploying_semantic_layer
        - building_dashboard
        - verifying
        - handoff
    AgentOnboardingRunStatus:
      type: string
      enum:
        - queued
        - running
        - failed
        - completed
        - cancelled

````